# Method: recall.unlinkPersona

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/recall/unlinkPersona#body.HTTP_TEMPLATE)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/recall/unlinkPersona#body.request_body)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/recall/unlinkPersona#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/recall/unlinkPersona#body.response_body)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/recall/unlinkPersona#body.UnlinkPersonaResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/recall/unlinkPersona#body.aspect)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/recall/unlinkPersona#try-it)

Delete a Recall token linking the PGS Player principal identified by the Recall session and an in-game account identified either by the 'persona' or by the token value.

### HTTP request

`POST https://games.googleapis.com/games/v1/recall:unlinkPersona`

### Request body

The request body contains data with the following structure:

|                                                                                   JSON representation                                                                                    |
|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| ``` { "sessionId": string, // Union field `target` can be only one of the following: "token": string, "persona": string // End of list of possible types for union field `target`. } ``` |

|                                                                               Fields                                                                                ||
|-------------|--------------------------------------------------------------------------------------------------------------------------------------------------------|
| `sessionId` | `string` Required. Opaque server-generated string that encodes all the necessary information to identify the PGS player / Google user and application. |
| Union field`target`. Identifier of the target in-game account to be unlinked`target`can be only one of the following:                                               ||
| `token`     | `string` Value of the Recall token as it was provided by the client in recall.linkPersona RPC                                                          |
| `persona`   | `string` Value of the 'persona' field as it was provided by the client in recall.linkPersona RPC                                                       |

### Response body

Response for the recall.unlinkPersona RPC

If successful, the response body contains data with the following structure:

|       JSON representation       |
|---------------------------------|
| ``` { "unlinked": boolean } ``` |

|                                                                                        Fields                                                                                         ||
|------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `unlinked` | `boolean` Required. Whether a Recall token specified by the request was deleted. Can be 'false' when there were no Recall tokens satisfied the criteria from the request. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).